/* tde47r.f -- translated by f2c (version 20000817).
   You must link the resulting object file with the libraries:
        -lf2c -lm   (in that order)
*/

#include "f2c.h"

int main(void)
{
    /* Builtin functions */
    double sin(double), cos(double);

    /* Local variables */
    extern int de47r_c(U_fp, int *, float *, float *, float *, float *,
                       float *, float *, float *, float *, float *, float *,
                       float *, float *, float *, float *, float *, float *,
                       float *, float *, float *, int *);
    static float hmin, hmax;
    static int ierr;
    static float h__;
    static int m;
    static float p, y[2], z__[2], delty[2];
    extern int f2_c();
    static float y1, y2, df[10] /* was [2][5] */, rf[2], dy[2], xk, xn, yn[2],
                  yp[2], zp[2], dy1, dy2, rfn[2], eps, dyn[2], dyp[2];

    m = 2;
    xn = 0.f;
    yn[0] = 1.f;
    yn[1] = -1.f;
    dyn[0] = 1.5f;
    dyn[1] = -.5f;
    xk = 5.f;
    hmin = 1e-10f;
    hmax = .1f;
    eps = 1e-4f;
    p = 100.f;
    h__ = .01f;
    de47r_c((U_fp)f2_c, &m, &xn, yn, dyn, &xk, &hmin, &hmax, &eps, &p, &h__,
            y, dy, z__, delty, df, rfn, rf, yp, dyp, zp, &ierr);

    printf("\n %5i \n", ierr);
    printf("\n %16.7e \n", xk);
    printf("\n %16.7e %16.7e \n", y[0], y[1]);
    printf("\n %16.7e %16.7e \n", dy[0], dy[1]);
    y1 = (float)sin(xk) + (float)cos(xk) + xk * .5f;
    y2 = -y1 + xk;
    dy1 = (float)cos(xk) - (float)sin(xk) + .5f;
    dy2 = -dy1 + 1.f;

    printf("\n\n %16.7e \n", xk);
    printf("\n %16.7e %16.7e \n", y1, y2);
    printf("\n %16.7e %16.7e \n", dy1, dy2);
    return 0;
} /* main */

int f2_c(float *x, float *y, float *dy, float *z__, int *m)
{
    /* Parameter adjustments */
    --z__;
    --dy;
    --y;

    /* Function Body */
    z__[1] = (y[2] + dy[1] - y[1] + dy[2]) * .5f - .5f;
    z__[2] = y[1] - *x * .5f;
    return 0;
} /* f2_c */
